Bug 463951 - RHEL 5.3: virt-install --hvm ignores --extra-args
RHEL 5.3: virt-install --hvm ignores --extra-args
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst (Show other bugs)
5.3
All Linux
medium Severity medium
: beta
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 13:18 EDT by Mark McLoughlin
Modified: 2009-12-14 16:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:04:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virtinst-0.300.2-hvm-extraargs.patch (1.23 KB, patch)
2008-09-25 13:18 EDT, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2008-09-25 13:18:31 EDT
Created attachment 317710 [details]
virtinst-0.300.2-hvm-extraargs.patch

Trying to install a KVM guest with RHEL5.3 virt-install, I noticed
that --extra-args is broken. Basically, we ignore the option when
using --hvm.

This prevents e.g. doing kickstart installs of KVM with virt-install
which would make doing automated QA and the like difficult.

Attaching a patch
Comment 5 Cole Robinson 2008-10-14 17:06:54 EDT
Build in python-virtinst-0.300.2-11.el5.
Comment 9 errata-xmlrpc 2009-01-20 16:04:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0216.html

Note You need to log in before you can comment on or make changes to this bug.